This resource represents a task or request for an action to be performed in healthcare workflows. Each task entry contains the task description, status, priority, assigned party, and relevant dates.
You can review or retrieve task information with FHIR® passthrough.
_search
Query for tasks by patient, assigned party, or status.
cURL request example
Request Body Schema
- patientArray of string
Search by patient the task is being performed for.
- patient.identifierArray of string
One or more external identifiers for the patient
- identifierArray of string
Search for a task instance by its business identifier
- statusArray of string
draft | requested | received | accepted | rejected | ready | cancelled | in-progress | on-hold | failed | completed | entered-in-error
- codeArray of string
Search by task code
- encounterArray of string
Search by encounter
- encounter.identifierArray of string
Identifier(s) by which this encounter is known
- ownerArray of string
Search by task owner
- authored-onArray of string
Search by creation date
- resourceTyperequired, string
Identifies the type of the resource
Value:Bundle - typerequired, string
Identifies this bundle as a response to a search
Value:searchset - totalrequired, number
The total number of matches
- entryArray of Task or Other
A resource matching the search criteria or related to a matching resource
- resourcerequired, object
A task to be performed for or on behalf of a patient.
- resourceTyperequired, string
Identifies the type of the resource
Value:Task - statusrequired, string
The current status of the task.
Possible Values:draft,requested,received,accepted,rejected,ready,cancelled,in-progress,on-hold,failed,completed,entered-in-error - intentrequired, string
Indicates the "level" of actionability associated with the Task, i.e. i+R[9]Cs this a proposed task, a planned task, an actionable task, etc.
Possible Values:unknown,proposal,plan,order,original-order,reflex-order,filler-order,instance-order,option - idstring
The logical id of the resource, as used in the URL for the resource. Once assigned, this value never changes.
- identifierArray of object
The business identifier for this task.
- extensionArray of Boolean, String, CodeableConcept, Coding
May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.
- urlrequired, string
Source of the definition for the extension code - a logical name or a URL.
- valueBooleanboolean
A single value for the extension.
- usestring
The purpose of this identifier.
Possible Values:usual,official,temp,secondary,old (If known) - systemstring
Establishes the namespace for the value - that is, a URL that describes a set values that are unique.
- valuestring
The portion of the identifier typically relevant to the user and which is unique within the context of the system.
- businessStatusobject
Contains business-specific nuances of the business state.
- codingArray of object
A reference to a code defined by a terminology system.
- systemstring
The identification of the code system that defines the meaning of the symbol in the code.
- codestring
A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination).
- textstring
A human language representation of the concept as seen/selected/uttered by the user who entered the data and/or which represents the intended meaning of the user.
- prioritystring
Indicates how quickly the Task should be addressed with respect to other requests.
Possible Values:routine,urgent,asap,stat - codeobject
A name or code (or both) briefly describing what the task involves.
- codingArray of object
A reference to a code defined by a terminology system.
- systemstring
The identification of the code system that defines the meaning of the symbol in the code.
- codestring
A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination).
- textstring
A human language representation of the concept as seen/selected/uttered by the user who entered the data and/or which represents the intended meaning of the user.
- descriptionstring
A free-text description of what is to be performed.
- focusobject
The request being actioned or the resource being manipulated by this task.
Must be a resource of type
Resource.- referencestring
A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with
#and refers to a contained resource.
- forobject
The entity who benefits from the performance of the service specified in the task (e.g., the patient).
Must be a resource of type
Patient.- referencestring
A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with
#and refers to a contained resource.
- encounterobject
The healthcare event (e.g. a patient and healthcare provider interaction) during which this task was created.
Must be a resource of type
Encounter.- referencestring
A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with
#and refers to a contained resource.
- authoredOnstring
The date and time this task was created.
- lastModifiedstring
The date and time of last modification to this task.
- requesterobject
The creator of the task.
Must reference one of the following types of resources:
PractitionerOrganization
- referencestring
A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with
#and refers to a contained resource.
- ownerobject
Individual organization or Device currently responsible for task execution.
Must reference one of the following types of resources:
PractitionerOrganization
- referencestring
A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with
#and refers to a contained resource.
- reasonCodeobject
A description or code indicating why this task needs to be performed.
- codingArray of object
A reference to a code defined by a terminology system.
- systemstring
The identification of the code system that defines the meaning of the symbol in the code.
- codestring
A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination).
- textstring
A human language representation of the concept as seen/selected/uttered by the user who entered the data and/or which represents the intended meaning of the user.
- noteArray of object
Free-text information captured about the task as it progresses.
- textrequired, string
The text of the annotation in markdown format.
- searchrequired, object
Information about the search process that lead to the creation of this entry.
- moderequired, string
Identifies the Task as matching the search parameters
Value:match
Response to a Task search operation